Commit 37e7ab1d authored by Mikhail Glushenkov's avatar Mikhail Glushenkov

outdated: Make --v2-freeze-file the preferred name.

Fixes #5986.
parent 7cfad57f
......@@ -1485,11 +1485,13 @@ The following flags are supported by the ``outdated`` command:
Read dependency version bounds from the freeze file (``cabal.config``)
instead of the package description file (``$PACKAGENAME.cabal``).
``--v1-freeze-file`` is an alias for this flag starting in Cabal 2.4.
``--new-freeze-file``
``--v2-freeze-file``
:since: 2.4
Read dependency version bounds from the v2-style freeze file
(by default, ``cabal.project.freeze``) instead of the package
description file. ``--v2-freeze-file`` is an alias for this flag
starting in Cabal 2.4.
description file. ``--new-freeze-file`` is an alias for this flag
that can be used with pre-2.4 ``cabal``.
``--project-file`` *PROJECTFILE*
:since: 2.4
......
......@@ -1265,7 +1265,7 @@ outdatedCommand = CommandUI {
outdatedFreezeFile (\v flags -> flags { outdatedFreezeFile = v })
trueArg
,option [] ["new-freeze-file", "v2-freeze-file"]
,option [] ["v2-freeze-file", "new-freeze-file"]
"Act on the new-style freeze file (default: cabal.project.freeze)"
outdatedNewFreezeFile (\v flags -> flags { outdatedNewFreezeFile = v })
trueArg
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment